> For the complete documentation index, see [llms.txt](https://docs.thomaspatrick.co/bestbusiness-com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thomaspatrick.co/bestbusiness-com/endpoints/locations-slug-votes.md).

# /locations/:slug/votes

### 🙅 GET /

Display active = false only if you are \[O] or \[A] and have access to the location

```
{
    "employer": slug
}
```

### 🙅 GET /id/:id

Display active = false only if you are \[O] or \[A] and have access to the location

### 🙅 POST /

Need to confirm the user has access to this location

### 🙅 POST /submit/:type

Sends email if :type = btob or btoc and saves data if employer

```
Types are:
btob, btoc or employer

All require:
{
	"yourName": "Tom Gough",
	"yourEmail": "tom@goughs.co",
	"yourPhone": "07624308679",
	"businessName": "Manx Telecom",
	"businessBranch": "Douglas",
	"voteBody": "They're great!"
}

btob also needs:
{
	"yourBusiness": "Thomas Patrick"
}

employer also needs:
{
	"yourPosition": "Tea Bitch"
}
```

### 🙅 \[O] \[A] PUT /

Need to confirm the user has access to this location

### 🙅 \[O] \[A] DELETE /

Need to confirm the user has access to this location
